# Poco

# template < class TArgs, class TMutex = FastMutex >

# class FIFOEvent

Library: Foundation
Package: Events
Header: Poco/FIFOEvent.h

Deprecated. This class is deprecated and should no longer be used.

## Description

A FIFOEvent uses internally a FIFOStrategy which guarantees that delegates are invoked in the order they were added to the event.

Note that as of release 1.4.2, this is the default behavior implemented by BasicEvent, so this class is provided for backwards compatibility only.

## Inheritance

Direct Base Classes: AbstractEvent < TArgs, FIFOStrategy < TArgs, AbstractDelegate < TArgs >>, AbstractDelegate < TArgs >, TMutex >

All Base Classes: AbstractEvent < TArgs, FIFOStrategy < TArgs, AbstractDelegate < TArgs >>, AbstractDelegate < TArgs >, TMutex >

## Constructors

### FIFOEvent

FIFOEvent();

## Destructor

### ~FIFOEvent

~FIFOEvent();